Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2066396 - [abrt] xdg-desktop-portal: receive_fd(): xdg-document-portal killed by SIGSEGV
Summary: [abrt] xdg-desktop-portal: receive_fd(): xdg-document-portal killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:79fe81aea21ab1cbf98c9691841...
: 2109856 (view as bug list)
Depends On:
Blocks: F36FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-03-21 16:43 UTC by Kamil Páral
Modified: 2022-07-22 10:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-23 07:49:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: core_backtrace (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: cpuinfo (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: dso_list (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: environ (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: exploitable (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: limits (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: maps (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: mountinfo (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: open_fds (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details
File: proc_pid_status (deleted)
2022-03-21 16:43 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2022-03-21 16:43:33 UTC
Description of problem:
I installed Beta RC1.2, booted it, and started gnome-software. A few seconds later, I saw a crash notification pop up. This crash was one of two which were present in abrt.

Version-Release number of selected component:
xdg-desktop-portal-1.12.1-2.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-985.slice/session-c1.scope
cmdline:        /usr/libexec/xdg-document-portal
crash_function: receive_fd
executable:     /usr/libexec/xdg-document-portal
journald_cursor: s=5f5ce51d103245849449802e881de922;i=6dc;b=594a9e6b4eeb4baa9ff639548edd29a2;m=891033;t=5dabcf06c8763;x=f5e46e51b045e6c
kernel:         5.17.0-0.rc7.116.fc36.x86_64
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            985

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 receive_fd at /usr/src/debug/fuse-2.9.9-14.fc36.x86_64/lib/mount.c:285
 #1 fuse_mount_fusermount at /usr/src/debug/fuse-2.9.9-14.fc36.x86_64/lib/mount.c:407
 #2 fuse_kern_mount at /usr/src/debug/fuse-2.9.9-14.fc36.x86_64/lib/mount.c:623
 #3 fuse_mount_compat25 at /usr/src/debug/fuse-2.9.9-14.fc36.x86_64/lib/helper.c:488
 #4 fuse_mount_common at /usr/src/debug/fuse-2.9.9-14.fc36.x86_64/lib/helper.c:248
 #5 xdp_fuse_init at document-portal/document-portal-fuse.c:3158
 #6 on_name_acquired at document-portal/document-portal.c:1460
 #7 actually_do_call at ../gio/gdbusnameowning.c:163
 #8 do_call at ../gio/gdbusnameowning.c:215
 #9 call_acquired_handler at ../gio/gdbusnameowning.c:229

Potential duplicate: bug 2048822

Comment 1 Kamil Páral 2022-03-21 16:43:37 UTC
Created attachment 1867270 [details]
File: backtrace

Comment 2 Kamil Páral 2022-03-21 16:43:39 UTC
Created attachment 1867271 [details]
File: core_backtrace

Comment 3 Kamil Páral 2022-03-21 16:43:40 UTC
Created attachment 1867272 [details]
File: cpuinfo

Comment 4 Kamil Páral 2022-03-21 16:43:41 UTC
Created attachment 1867273 [details]
File: dso_list

Comment 5 Kamil Páral 2022-03-21 16:43:43 UTC
Created attachment 1867274 [details]
File: environ

Comment 6 Kamil Páral 2022-03-21 16:43:44 UTC
Created attachment 1867275 [details]
File: exploitable

Comment 7 Kamil Páral 2022-03-21 16:43:45 UTC
Created attachment 1867276 [details]
File: limits

Comment 8 Kamil Páral 2022-03-21 16:43:47 UTC
Created attachment 1867277 [details]
File: maps

Comment 9 Kamil Páral 2022-03-21 16:43:49 UTC
Created attachment 1867278 [details]
File: mountinfo

Comment 10 Kamil Páral 2022-03-21 16:43:50 UTC
Created attachment 1867279 [details]
File: open_fds

Comment 11 Kamil Páral 2022-03-21 16:43:52 UTC
Created attachment 1867280 [details]
File: proc_pid_status

Comment 12 Kamil Páral 2022-03-21 17:01:24 UTC
(This also exactly happens on F35, see bug 2048822).

I'm proposing this as the Final blocker:
"There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop. "
https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#SELinux_and_crash_notifications

This crash is always present in Abrt in the System tab after F36 Beta RC1.2 installation and first boot. However, please note that it seems that a notification is not triggered for this (perhaps because it is a "system" crash, not a "user" crash?), unless something else crashes as well, which then triggers the notification. In that case you open Abrt and see both. So it might not actually fulfill the criterion text.

Comment 13 lnie 2022-03-22 03:31:11 UTC
I also see this bug with Fedora-Workstation-Live-x86_64-36_Beta-1.1.iso: https://bugzilla.redhat.com/show_bug.cgi?id=2063673
maybe the other crash you mentioned in description is this one,https://bugzilla.redhat.com/show_bug.cgi?id=2063056?

Comment 14 Adam Williamson 2022-03-22 16:00:30 UTC
I suspect this is actually the same as https://bugzilla.redhat.com/show_bug.cgi?id=2066424 , believe it or not - part of the chain of causation for that bug is that xdg-desktop-portal stuff starts up during the gnome-initial-setup session when it should not. The fix for that bug (both the quick revert I did, and the proper fix proposed upstream) prevent xdg-desktop-portal from launching at all, and so should also prevent any of it crashing.

Can you check with 1.4 and see whether this still happens? I suspect it won't.

Comment 15 Kamil Páral 2022-03-23 07:49:09 UTC
It occurred to me that this could be related to gnome-initial-setup, which would explain why there is no notification for the crash. It seems you're right. With Beta RC1.4 image, the crash is no longer present in abrt. Looks fine! Closing this one.

Comment 16 Stefan L 2022-07-22 10:50:12 UTC
*** Bug 2109856 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.